import Columns from "../models/Columns";


class ColumnBuilder {
  constructor(){}

  /* Define all the steps needed to create a cl */
  setColumnId(Id) {
    this.columnId = Id;
    return this;
  }

  setColumnName(name) {
    this.columnName = name;
    return this;
  }

  setColumnType(type) {
    this.columnType = type;
    return this;
  }

  /* Could also be called getProfile() */
  build() {
    return new Columns(this);
  }

}

export default ColumnBuilder