import Database from "../models/Database";


class DatabaseBuilder {
  constructor(){}

  /* Define all the steps needed to create a profile */
  setDatabaseId(Id) {
    this.databaseId = Id;
    return this;
  }

  setDatabaseName(name) {
    this.databaseName = name;
    return this;
  }

  setDatabaseImage(image) {
    this.databaseImage = image;
    return this;
  }

  setColumns(columns){
    this.columns = columns;
    return this;
  }

  build() {
    return new Database(this);
  }

}

export default DatabaseBuilder